Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceBox::ServiceManager`

## Overview

    interface ServiceManager

Administers a set of `Service` instances.

### See Also

`Service`

### Operation Index

`getSliceChecksums`

  Returns the checksums for the IceBox Slice definitions.

`shutdown`

  Shutdown all services.

## `getSliceChecksums`

    ::Ice::SliceChecksumDict getSliceChecksums();

Returns the checksums for the IceBox Slice definitions.

### Return Value

A dictionary mapping Slice type ids to their checksums.

## `shutdown`

    void shutdown();

Shutdown all services. This will cause `Service::stop` to be invoked on all configured services.

<<< Previous | Home | Next >>>
`IceBox::Service` | Up | `Glacier2`